Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::AreaEmitter::CmdDepth Class Reference

Command object for area emitter size (see ParamCommand). More...

`#include <OgreAreaEmitter.h>`

Inheritance diagram for Ogre::AreaEmitter::CmdDepth:

[legend]
List of all members.

## Public Methods

String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Detailed Description

Command object for area emitter size (see ParamCommand).

Definition at line 62 of file OgreAreaEmitter.h.

## Member Function Documentation

String Ogre::AreaEmitter::CmdDepth::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand. Definition at line 171 of file OgreAreaEmitter.cpp. References Ogre::AreaEmitter::getDepth(), and Ogre::String.

void Ogre::AreaEmitter::CmdDepth::doSet | ( | void * | target,
|  | const String & | val
| ) | `[virtual]`

| Implements Ogre::ParamCommand. Definition at line 176 of file OgreAreaEmitter.cpp. References Ogre::String.

The documentation for this class was generated from the following files:

- OgreAreaEmitter.h
- OgreAreaEmitter.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:20 2004